#1951 closed defect (fixed)

libchip/serial.h: Console_Port_Tbl conflicts

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: jennifer.averett@…, sebastian.huber@… Blocked By:
Blocking:

Description

Building the lm3s6965 BSP exposes this error:
...
# arm-rtemseabi4.11-gcc --pipe -B../../../../../.././lib/ -B../../../../../.././lm3s6965/lib/ -specs bsp_specs -qrtems -DHAVE_CONFIG_H -I../../../../../../../../c/src/lib/libbsp
../../../../../../../../c/src/lib/libbsp/arm/lm3s69xx/console/console-config.c:26:13: error: conflicting types for 'Console_Port_Tbl'
In file included from ../../../../../../../../c/src/lib/libbsp/arm/lm3s69xx/console/console-config.c:19:0:
../../../../../.././lm3s6965/lib/include/libchip/serial.h:201:24: note: previous declaration of 'Console_Port_Tbl' was here
../../../../../../../../c/src/lib/libbsp/arm/lm3s69xx/console/console-config.c:65:14: error: conflicting types for 'Console_Port_Data'
In file included from ../../../../../../../../c/src/lib/libbsp/arm/lm3s69xx/console/console-config.c:19:0:
../../../../../.././lm3s6965/lib/include/libchip/serial.h:220:23: note: previous declaration of 'Console_Port_Data' was here
gmake[4]: * [libbsp_a-console-config.o] Error 1
...

AFAIS, there are several ways to interpret this breakdown:

  • BSP specific bug.
  • API collision/violation
  • A side-effect of the dyn. console effort.

Change History (3)

comment:1 Changed on Nov 6, 2011 at 4:02:39 PM by Ralf Corsepius

Cc: jennifer.averett@… sebastian.huber@… added

comment:2 Changed on Nov 7, 2011 at 7:27:10 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

Replying to comment:0:
[...]

  • A side-effect of the dyn. console effort.

I am not sure if it works, but the tests compile and link.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.